var qtdeMostrada = -qtdeCarregar;

function carregarDadosCliNaoVisit() {	
	$(document).off("scrollstop");	
	qtdeMostrada += qtdeCarregar;

	if (document.getElementById('tabelarelclinaovisit').childNodes[3].innerHTML.indexOf('final-tabela') > 0) {
		return;
	}
	
	$.mobile.changePage("#relclinaovisit", {
		transition: "slide"
	});
	$('#divtabelaclinaovisit').css('display', 'none'); 
	$.ajaxSetup({
		beforeSend:	loads,
		complete: removes
	});
	$.post('clinaovisit/relclinaovisit.php',
		{
			codgerente: $("#filtrogerenteclinaovisit").val(),
			codsupervisor: $("#filtrosupervisorclinaovisit").val(),
			codvendedor: $("#filtrovendedorclinaovisit").val(),
			codcliente: $('#codfiltroclienteclinaovisit').val(),			
			codcidade: $("#filtrocidadeclinaovisit").val(),
			nroregiao: $("#filtroregiaoclinaovisit").val(),
			dataini: $('#datainiclinaovisit').val(),
			datafin: $('#datafinclinaovisit').val(),
			clientepor: $('#clinaovisitclientepor').val(),
			agruparpor: $('#clinaovisitagrupar').val(),
			inicio: qtdeMostrada,
			qtde: qtdeCarregar //qtdeCarregar em dadosJS.js
		},
		function(data){
			if (data.length > 5) { //gambito pq retora vazio de tamanho 5 (??????)
				document.getElementById('tabelarelclinaovisit').childNodes[3].innerHTML += data;
				$("#tabelarelclinaovisit").table("refresh");
			} else if (qtdeMostrada == 0) {
				alert("Período sem registros");
				$("#voltarrelclinaovisit").click();
			}
		}
	);
	$('#divtabelaclinaovisit').css('display', 'block'); 
	
	$(document).on('scrollstop', scrollStopCliNaoVisit);
}

function scrollStopCliNaoVisit() {
	checkScroll(carregarDadosCliNaoVisit, "relclinaovisit"); //checkScroll em dadosJS.js
}

$.mobile.document
	.on('click', '#botaovisualizarclinaovisit', function(event){
		qtdeMostrada = -qtdeCarregar;
		carregarDadosCliNaoVisit();
	})
	
	.on('click', '#voltarrelclinaovisit', function(){
		$("#tabelarelclinaovisit tbody tr").remove();
	})

	.on('pageshow', '#relclinaovisit', function() {
		$(document).on('scrollstop', scrollStopCliNaoVisit);		
	})
	
	.on('pagebeforecreate', '#clinaovisit', function() {
		geraLkp($("#filtrogerenteclinaovisit"), 'lookups/lkpgerentes.php');
		geraLkp($("#filtrosupervisorclinaovisit"), 'lookups/lkpsupervisores.php');
		geraLkp($("#filtrovendedorclinaovisit"), 'lookups/lkpvendedores.php');
		geraLkp($("#filtrocidadeclinaovisit"), 'lookups/lkpcidade.php');
		geraLkp($("#filtroregiaoclinaovisit"), 'lookups/lkpregiao.php');
		geraAutocomplete('#autocomplete-filtroclienteclinaovisit', 'lookups/lkpclientes.php', '#filtroclienteclinaovisit', '#codfiltroclienteclinaovisit');	
		lkpRotas();
	})
	
	;